Bug 429496 - (stun-review) Review Request: stun - Implements the stun protocol
Review Request: stun - Implements the stun protocol
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 00:33 EST by Huzaifa S. Sidhpurwala
Modified: 2008-12-30 18:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-26 02:00:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2008-01-21 00:33:51 EST
Spec URL: http://fedorapeople.org/~huzaifas/spec/stun.spec
SRPM URL: http://fedorapeople.org/~huzaifas/srpms/stun-0.96-0.fc8.src.rpm
Description: Implements a simple STUN server and client on Windows, Linux, and Solaris. The STUN protocol (Simple Traversal of UDP through NATs) is described in the IETF RFC 3489, available at http://www.ietf.org/rfc/rfc3489.txt
Comment 1 Huzaifa S. Sidhpurwala 2008-01-21 00:51:17 EST
Added correct macros to the spec.
Awaiting upstream to identify the correct license under which the code is released.
Comment 2 Parag AN(पराग) 2008-03-07 08:22:49 EST
removing myself from review.
Package is not building for all archs.
Comment 3 Marek Mahut 2008-03-28 15:47:16 EDT
Hey Huzaifa!

- I don't like much download_name macro, I would use something like %{name}d and
_%{version}__Aug13.tgz, but it's up to you :)

- I would also separate -server to a subpackage

- Use -p and -m with install

- Change the license to Vovida Software License 1.0 (btw, this is Fedora/FSF
compatible)

- Does not build with gcc 4.3, you will have to patch it
(http://koji.fedoraproject.org/koji/taskinfo?taskID=536657)
Comment 5 Huzaifa S. Sidhpurwala 2008-04-14 02:11:36 EDT
ping
Comment 6 Marek Mahut 2008-04-23 05:26:43 EDT
I see only minor issues:

 * please rename the patch to stun-0.96-whatthepatchdoes.patch
 * use -p at install to preserve the timestemps
 * the server package does not contain the RFC file

after these minor issues are fixed, this package is approved.
Comment 7 Peter Lemenkov 2008-07-03 14:28:48 EDT
Typo. Fields %description for main package and server-subpackage are equal.
Comment 8 Peter Lemenkov 2008-09-29 02:06:30 EDT
Ping.
So this package is approved long time ago, then where is cvs-request?
Comment 9 Huzaifa S. Sidhpurwala 2008-09-29 02:13:48 EDT
New Package CVS Request
=======================
Package Name: stun
Short Description: Implements the stun protocol
Owners: huzaifas
Branches: F-9 EL-5
Comment 10 Huzaifa S. Sidhpurwala 2008-09-30 00:32:57 EDT
cvs done
Comment 11 Peter Lemenkov 2008-12-09 09:34:21 EST
Why this package still not imported and built? Seems that someone forget about something :)
Comment 12 Marek Mahut 2008-12-19 15:44:22 EST
Huzaifa, ping!
Comment 13 Itamar Reis Peixoto 2008-12-19 18:43:24 EST
Can I co-maintain it ?
Comment 14 Fedora Update System 2008-12-24 14:56:24 EST
stun-0.96-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/stun-0.96-2.fc10
Comment 15 Fedora Update System 2008-12-24 14:57:28 EST
stun-0.96-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/stun-0.96-2.fc9
Comment 16 Fedora Update System 2008-12-30 18:40:56 EST
stun-0.96-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2008-12-30 18:43:04 EST
stun-0.96-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.